diff --git a/base/common/src/com/netscape/cms/servlet/request/model/ProfileRetrievalRequestData.java b/base/common/src/com/netscape/cms/servlet/request/model/ProfileRetrievalRequest.java
similarity index 91%
rename from base/common/src/com/netscape/cms/servlet/request/model/ProfileRetrievalRequestData.java
rename to base/common/src/com/netscape/cms/servlet/request/model/ProfileRetrievalRequest.java
index 7a0359587f9b7cb83825bec1cab4a00573095739..8670605fc4eb5c6696823cdcdb50bbdc43cce9a9 100644
--- a/base/common/src/com/netscape/cms/servlet/request/model/ProfileRetrievalRequestData.java
+++ b/base/common/src/com/netscape/cms/servlet/request/model/ProfileRetrievalRequest.java
@@ -33,18 +33,18 @@ import javax.xml.bind.annotation.XmlRootElement;
  */
 @XmlRootElement(name = "ProfileRetrievalRequest")
 @XmlAccessorType(XmlAccessType.FIELD)
-public class ProfileRetrievalRequestData {
+public class ProfileRetrievalRequest {
 
     private static final String PROFILE_ID = "profileId";
 
     @XmlElement
     protected String profileId;
 
-    public ProfileRetrievalRequestData() {
+    public ProfileRetrievalRequest() {
         // required for JAXB (defaults)
     }
 
-    public ProfileRetrievalRequestData(MultivaluedMap<String, String> form) {
+    public ProfileRetrievalRequest(MultivaluedMap<String, String> form) {
         if (form.containsKey(PROFILE_ID)) {
             profileId = form.getFirst(PROFILE_ID);
         }
diff --git a/base/deploy/src/scriptlets/pkijython.py b/base/deploy/src/scriptlets/pkijython.py
index 48ff9670f693ae465e2434c83e172e1b01456298..805f4b767f8d01968902043584dbadbce9e5db55 100644
--- a/base/deploy/src/scriptlets/pkijython.py
+++ b/base/deploy/src/scriptlets/pkijython.py
@@ -141,9 +141,9 @@ from org.mozilla.jss.util import Password
 
 # PKI Java Imports
 from com.netscape.cms.servlet.csadmin import SystemConfigClient
-from com.netscape.cms.servlet.csadmin.model import CertData
-from com.netscape.cms.servlet.csadmin.model import ConfigurationData
-from com.netscape.cms.servlet.csadmin.model import ConfigurationResponseData
+from com.netscape.cms.servlet.csadmin.model import SystemCertData
+from com.netscape.cms.servlet.csadmin.model import ConfigurationRequest
+from com.netscape.cms.servlet.csadmin.model import ConfigurationResponse
 from com.netscape.cmsutil.util import Utils
 from netscape.security.x509 import X500Name
 
@@ -276,10 +276,10 @@ class rest_client:
                    log.PKI_JYTHON_CONSTRUCTING_PKI_DATA,
                    master['pki_subsystem'])
         if not master['pki_dry_run_flag']:
-            data = ConfigurationData()
+            data = ConfigurationRequest()
             # Miscellaneous Configuration Information
             data.setPin(sensitive['pki_one_time_pin'])
-            data.setToken(ConfigurationData.TOKEN_DEFAULT)
+            data.setToken(ConfigurationRequest.TOKEN_DEFAULT)
             if master['pki_instance_type'] == "Tomcat":
                 data.setSubsystemName(master['pki_subsystem_name'])
                 if master['pki_subsystem'] == "CA":
@@ -345,13 +345,13 @@ class rest_client:
                        not config.str2bool(master['pki_subordinate']):
                         # PKI CA
                         data.setSecurityDomainType(
-                            ConfigurationData.NEW_DOMAIN)
+                            ConfigurationRequest.NEW_DOMAIN)
                         data.setSecurityDomainName(
                             master['pki_security_domain_name'])
                     else:
                         # PKI Cloned or Subordinate CA
                         data.setSecurityDomainType(
-                            ConfigurationData.EXISTING_DOMAIN)
+                            ConfigurationRequest.EXISTING_DOMAIN)
                         data.setSecurityDomainUri(
                             master['pki_security_domain_uri'])
                         data.setSecurityDomainUser(
@@ -361,7 +361,7 @@ class rest_client:
                 else:
                     # PKI KRA, OCSP, or TKS
                     data.setSecurityDomainType(
-                        ConfigurationData.EXISTING_DOMAIN)
+                        ConfigurationRequest.EXISTING_DOMAIN)
                     data.setSecurityDomainUri(
                         master['pki_security_domain_uri'])
                     data.setSecurityDomainUser(
@@ -427,7 +427,7 @@ class rest_client:
                 if not config.str2bool(master['pki_clone']):
                     if master['pki_subsystem'] == "CA":
                         # External CA, Subordinate CA, or PKI CA
-                        cert1 = CertData()
+                        cert1 = SystemCertData()
                         cert1.setTag(master['pki_ca_signing_tag'])
                         cert1.setKeyAlgorithm(
                             master['pki_ca_signing_key_algorithm'])
@@ -445,7 +445,7 @@ class rest_client:
                     if master['pki_subsystem'] == "CA" or\
                        master['pki_subsystem'] == "OCSP":
                         # External CA, Subordinate CA, PKI CA, or PKI OCSP
-                        cert2 = CertData()
+                        cert2 = SystemCertData()
                         cert2.setTag(master['pki_ocsp_signing_tag'])
                         cert2.setKeyAlgorithm(
                             master['pki_ocsp_signing_key_algorithm'])
@@ -463,7 +463,7 @@ class rest_client:
             #     PKI CA, PKI KRA, PKI OCSP, PKI TKS,
             #     PKI CA CLONE, PKI KRA CLONE, PKI OCSP CLONE, PKI TKS CLONE,
             #     External CA, or Subordinate CA
-            cert3 = CertData()
+            cert3 = SystemCertData()
             cert3.setTag(master['pki_ssl_server_tag'])
             cert3.setKeyAlgorithm(master['pki_ssl_server_key_algorithm'])
             cert3.setKeySize(master['pki_ssl_server_key_size'])
@@ -475,7 +475,7 @@ class rest_client:
             # Create 'Subsystem Certificate'
             if master['pki_instance_type'] == "Apache":
                 # PKI RA or PKI TPS
-                cert4 = CertData()
+                cert4 = SystemCertData()
                 cert4.setTag(master['pki_subsystem_tag'])
                 cert4.setKeyAlgorithm(master['pki_subsystem_key_algorithm'])
                 cert4.setKeySize(master['pki_subsystem_key_size'])
@@ -488,7 +488,7 @@ class rest_client:
                 if not config.str2bool(master['pki_clone']):
                     # PKI CA, PKI KRA, PKI OCSP, PKI TKS,
                     # External CA, or Subordinate CA
-                    cert4 = CertData()
+                    cert4 = SystemCertData()
                     cert4.setTag(master['pki_subsystem_tag'])
                     cert4.setKeyAlgorithm(master['pki_subsystem_key_algorithm'])
                     cert4.setKeySize(master['pki_subsystem_key_size'])
@@ -501,7 +501,7 @@ class rest_client:
             if master['pki_instance_type'] == "Apache":
                 if master['pki_subsystem'] != "RA":
                     # PKI TPS
-                    cert5 = CertData()
+                    cert5 = SystemCertData()
                     cert5.setTag(master['pki_audit_signing_tag'])
                     cert5.setKeyAlgorithm(
                         master['pki_audit_signing_key_algorithm'])
@@ -517,7 +517,7 @@ class rest_client:
                 if not config.str2bool(master['pki_clone']):
                     # PKI CA, PKI KRA, PKI OCSP, PKI TKS,
                     # External CA, or Subordinate CA
-                    cert5 = CertData()
+                    cert5 = SystemCertData()
                     cert5.setTag(master['pki_audit_signing_tag'])
                     cert5.setKeyAlgorithm(
                         master['pki_audit_signing_key_algorithm'])
@@ -534,7 +534,7 @@ class rest_client:
                 if not config.str2bool(master['pki_clone']):
                     if master['pki_subsystem'] == "KRA":
                         # PKI KRA
-                        cert6 = CertData()
+                        cert6 = SystemCertData()
                         cert6.setTag(master['pki_transport_tag'])
                         cert6.setKeyAlgorithm(
                             master['pki_transport_key_algorithm'])
@@ -551,7 +551,7 @@ class rest_client:
                 if not config.str2bool(master['pki_clone']):
                     if master['pki_subsystem'] == "KRA":
                         # PKI KRA
-                        cert7 = CertData()
+                        cert7 = SystemCertData()
                         cert7.setTag(master['pki_storage_tag'])
                         cert7.setKeyAlgorithm(
                             master['pki_storage_key_algorithm'])
diff --git a/base/kra/functional/src/com/netscape/cms/servlet/test/DRMClient.java b/base/kra/functional/src/com/netscape/cms/servlet/test/DRMClient.java
index 0f12eada2f4382cac02159d31cfcda4bdd14b2e8..dfb34ed137b9946ca5e8c00c3e9aa32d8f33c886 100644
--- a/base/kra/functional/src/com/netscape/cms/servlet/test/DRMClient.java
+++ b/base/kra/functional/src/com/netscape/cms/servlet/test/DRMClient.java
@@ -10,17 +10,17 @@ import com.netscape.certsrv.dbs.keydb.KeyId;
 import com.netscape.certsrv.request.RequestId;
 import com.netscape.cms.client.cli.ClientConfig;
 import com.netscape.cms.servlet.admin.SystemCertificateResource;
-import com.netscape.cms.servlet.cert.model.CertificateData;
+import com.netscape.cms.servlet.cert.model.CertData;
 import com.netscape.cms.servlet.csadmin.PKIClient;
 import com.netscape.cms.servlet.key.KeyResource;
 import com.netscape.cms.servlet.key.model.KeyData;
 import com.netscape.cms.servlet.key.model.KeyDataInfo;
 import com.netscape.cms.servlet.key.model.KeyDataInfos;
 import com.netscape.cms.servlet.request.KeyRequestResource;
-import com.netscape.cms.servlet.request.model.ArchivalRequestData;
+import com.netscape.cms.servlet.request.model.KeyArchivalRequest;
 import com.netscape.cms.servlet.request.model.KeyRequestInfo;
 import com.netscape.cms.servlet.request.model.KeyRequestInfos;
-import com.netscape.cms.servlet.request.model.RecoveryRequestData;
+import com.netscape.cms.servlet.request.model.KeyRecoveryRequest;
 import com.netscape.cmsutil.util.Utils;
 
 public class DRMClient  extends PKIClient {
@@ -39,9 +39,9 @@ public class DRMClient  extends PKIClient {
 
     public String getTransportCert() {
         @SuppressWarnings("unchecked")
-        ClientResponse<CertificateData> response = (ClientResponse<CertificateData>) systemCertClient
+        ClientResponse<CertData> response = (ClientResponse<CertData>) systemCertClient
                 .getTransportCert();
-        CertificateData certData = getEntity(response);
+        CertData certData = getEntity(response);
         String transportCert = certData.getEncoded();
         return transportCert;
     }
@@ -56,7 +56,7 @@ public class DRMClient  extends PKIClient {
 
     public KeyRequestInfo archiveSecurityData(byte[] encoded, String clientId, String dataType) {
         // create archival request
-        ArchivalRequestData data = new ArchivalRequestData();
+        KeyArchivalRequest data = new KeyArchivalRequest();
         String req1 = Utils.base64encode(encoded);
         data.setWrappedPrivateData(req1);
         data.setClientId(clientId);
@@ -83,7 +83,7 @@ public class DRMClient  extends PKIClient {
 
     public KeyRequestInfo requestRecovery(KeyId keyId, byte[] rpwd, byte[] rkey, byte[] nonceData) {
         // create recovery request
-        RecoveryRequestData data = new RecoveryRequestData();
+        KeyRecoveryRequest data = new KeyRecoveryRequest();
         data.setKeyId(keyId);
         if (rpwd != null) {
             data.setSessionWrappedPassphrase(Utils.base64encode(rpwd));
@@ -106,7 +106,7 @@ public class DRMClient  extends PKIClient {
 
     public KeyData retrieveKey(KeyId keyId, RequestId requestId, byte[] rpwd, byte[] rkey, byte[] nonceData) {
         // create recovery request
-        RecoveryRequestData data = new RecoveryRequestData();
+        KeyRecoveryRequest data = new KeyRecoveryRequest();
         data.setKeyId(keyId);
         data.setRequestId(requestId);
         if (rkey != null) {
diff --git a/base/kra/src/com/netscape/kra/KeyRecoveryAuthorityApplication.java b/base/kra/src/com/netscape/kra/KeyRecoveryAuthorityApplication.java
index 9a884f872b829d452c3dae1b67640b0a749152dc..d8c0ece001adaa2ffaccd6332a5d8ad10a5b8df5 100644
--- a/base/kra/src/com/netscape/kra/KeyRecoveryAuthorityApplication.java
+++ b/base/kra/src/com/netscape/kra/KeyRecoveryAuthorityApplication.java
@@ -10,7 +10,7 @@ import com.netscape.cms.servlet.admin.GroupService;
 import com.netscape.cms.servlet.admin.SystemCertService;
 import com.netscape.cms.servlet.admin.UserCertService;
 import com.netscape.cms.servlet.admin.UserService;
-import com.netscape.cms.servlet.base.CMSException;
+import com.netscape.cms.servlet.base.PKIException;
 import com.netscape.cms.servlet.csadmin.SystemConfigService;
 import com.netscape.cms.servlet.key.KeyService;
 import com.netscape.cms.servlet.request.KeyRequestService;
@@ -38,7 +38,7 @@ public class KeyRecoveryAuthorityApplication extends Application {
         classes.add(SystemCertService.class);
 
         // exception mapper
-        classes.add(CMSException.Mapper.class);
+        classes.add(PKIException.Mapper.class);
 
     }
 
diff --git a/base/ocsp/src/com/netscape/ocsp/OCSPApplication.java b/base/ocsp/src/com/netscape/ocsp/OCSPApplication.java
index 7331c38d6109c1be314392e2f5bc791124df050f..f78cf730dbaf188d17b3812f2d6cc33fdb246e32 100644
--- a/base/ocsp/src/com/netscape/ocsp/OCSPApplication.java
+++ b/base/ocsp/src/com/netscape/ocsp/OCSPApplication.java
@@ -10,7 +10,7 @@ import com.netscape.cms.servlet.admin.GroupService;
 import com.netscape.cms.servlet.admin.SystemCertService;
 import com.netscape.cms.servlet.admin.UserCertService;
 import com.netscape.cms.servlet.admin.UserService;
-import com.netscape.cms.servlet.base.CMSException;
+import com.netscape.cms.servlet.base.PKIException;
 import com.netscape.cms.servlet.csadmin.SystemConfigService;
 
 public class OCSPApplication extends Application {
@@ -32,7 +32,7 @@ public class OCSPApplication extends Application {
         classes.add(SystemCertService.class);
 
         // exception mapper
-        classes.add(CMSException.Mapper.class);
+        classes.add(PKIException.Mapper.class);
     }
 
     public Set<Class<?>> getClasses() {
diff --git a/base/tks/src/com/netscape/tks/TKSApplication.java b/base/tks/src/com/netscape/tks/TKSApplication.java
index 2afdf1297fe4f87038175ada6b3f8e0c8aae1160..68fbd7d357fdac536ceb5d4df634b48a3eab9406 100644
--- a/base/tks/src/com/netscape/tks/TKSApplication.java
+++ b/base/tks/src/com/netscape/tks/TKSApplication.java
@@ -10,7 +10,7 @@ import com.netscape.cms.servlet.admin.GroupService;
 import com.netscape.cms.servlet.admin.SystemCertService;
 import com.netscape.cms.servlet.admin.UserCertService;
 import com.netscape.cms.servlet.admin.UserService;
-import com.netscape.cms.servlet.base.CMSException;
+import com.netscape.cms.servlet.base.PKIException;
 import com.netscape.cms.servlet.csadmin.SystemConfigService;
 
 public class TKSApplication extends Application {
@@ -32,7 +32,7 @@ public class TKSApplication extends Application {
         classes.add(SystemCertService.class);
 
         // exception mapper
-        classes.add(CMSException.Mapper.class);
+        classes.add(PKIException.Mapper.class);
     }
 
     public Set<Class<?>> getClasses() {
-- 
1.7.11.2

